﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using System.Globalization;
using System.Threading;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            //MessageBox.Show(System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.MonthNames.ToString());
            MessageBox.Show("Before resetting culture \r\ncurrent culture: " + Thread.CurrentThread.CurrentCulture.Name.ToString() + "\r\n" +
                            "current culture display name: " + Thread.CurrentThread.CurrentCulture.DisplayName.ToString() + "\r\n" +
            "calendar: " + Thread.CurrentThread.CurrentCulture.Calendar.ToString() + "\r\n" +
            "user override: " + Thread.CurrentThread.CurrentCulture.UseUserOverride.ToString() + "\r\n" +
            "month: " + DateTime.Now.ToString("MMMM"));

            string months = "Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());


            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentCulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            //MessageBox.Show(System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.MonthNames.ToString());
            MessageBox.Show("After resetting culture to ru-RU \r\ncurrent culture: " + Thread.CurrentThread.CurrentCulture.Name.ToString() + "\r\n" +
                            "current culture display name: " + Thread.CurrentThread.CurrentCulture.DisplayName.ToString()  + "\r\n" +
            "calendar: " + Thread.CurrentThread.CurrentCulture.Calendar.ToString() + "\r\n" +
            "user override: " + Thread.CurrentThread.CurrentCulture.UseUserOverride.ToString() + "\r\n" +
            "month: "+ DateTime.Now.ToString("MMMM"));

            months = "Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n" ;
            }

            MessageBox.Show(months.ToString());


        }
    }
}
